// BK_settings.h : Диалоговое окно CSettingsDlg используется для описания и изменения Настроек приложения
//
#pragma once

#ifndef __AFXWIN_H__
#error "включить stdafx.h до включения этого файла в PCH"
#endif

#include "resource.h"       // основные символы
#include "afxwinappex.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


class CSettingsDlg : public CDialogEx
{
		DECLARE_DYNAMIC(CSettingsDlg)

	public:
		// Данные диалогового окна
		enum { IDD = IDD_SETTINGSBOX };
		CSettingsDlg();
		virtual ~CSettingsDlg() override
		    = default;

	protected:
		CTabCtrl        m_ctrTab;           // Пусть в этой переменной будут торчать наши паги
		//static const int m_log_page = 0;    // Temp : deactivate Log Page (VERSION_HISTORY), because code not present
		int             m_nTabCount;

		DWORD           Save();
		CDialogEx      *GetTabWndPtr(int nTab);
		void            ReleaseTabs();
		void            AddTab(int nTabNum, CDialogEx *pDlg, UINT nDlgID, UINT nTitleID, bool bShow = false);

		// Реализация
	protected:
		virtual void DoDataExchange(CDataExchange *pDX) override;    // поддержка DDX/DDV
		virtual BOOL OnInitDialog() override;
		virtual void OnOK() override;
		virtual void OnCancel() override;

		afx_msg void OnDestroy();
		afx_msg void OnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult);
		afx_msg void OnSelchangingTab(NMHDR *pNMHDR, LRESULT *pResult);
		DECLARE_MESSAGE_MAP()
};
